Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.method
Class Parameters

    java.lang.Object
      org.springframework.binding.method.Parameters

    public class Parameters

extends java.lang.Object

An ordered list of method parameters.

Author:
  Keith

Field Summary
`static Parameters` | `NONE` Canonical instance for an empty parameters list.

Constructor Summary
`Parameters()` Create a parameter list of the default size (3 elements).
`Parameters(int size)` Create a parameter list with the specified size.
`Parameters(Parameter parameter)` Create a parameter list with one parameter.
`Parameters(Parameter[] parameters)` Create a parameter list from the parameter array.

Method Summary
`boolean` | `add(Parameter parameter)` Add a new parameter to this list.
`boolean` | `addAll(Parameter[] parameters)` Add new parameters to this list.
`boolean` | `equals(java.lang.Object obj)`
`Parameter` | `getParameter(int index)` Return the parameter at the provided index.
`java.lang.Class[]` | `getTypesArray()` Get an array containing each parameter type.
`int` | `hashCode()`
`java.util.Iterator` | `iterator()` Return a parameter iterator.
`int` | `size()` Returns the number of parameters in this list.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final Parameters NONE

  Canonical instance for an empty parameters list.

Constructor Detail

### Parameters

    public Parameters()

  Create a parameter list of the default size (3 elements).

### Parameters

    public Parameters(int size)

  Create a parameter list with the specified size.

  Parameters:
    `size` - the size

### Parameters

    public Parameters(Parameter parameter)

  Create a parameter list with one parameter.

  Parameters:
    `parameter` - the single parameter

### Parameters

    public Parameters(Parameter[] parameters)

  Create a parameter list from the parameter array.

  Parameters:
    `parameters` - the parameters

Method Detail

### add

    public boolean add(Parameter parameter)

  Add a new parameter to this list.

  Parameters:
    `parameter` - the parameter

### addAll

    public boolean addAll(Parameter[] parameters)

  Add new parameters to this list.

  Parameters:
    `parameters` - the parameters

### iterator

    public java.util.Iterator iterator()

  Return a parameter iterator.

  Returns:
    the iterator

### getTypesArray

    public java.lang.Class[] getTypesArray()

  Get an array containing each parameter type. The resulting array could contain null values if the corresponding parameters did not specify a parameter type.

  Returns:
    the types

### size

    public int size()

  Returns the number of parameters in this list.

  Returns:
    the size

### getParameter

    public Parameter getParameter(int index)
                           throws java.lang.IndexOutOfBoundsException

  Return the parameter at the provided index.

  Parameters:
    `index` - the parameter index
  Returns:
    the parameter at that index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the provided index is out of bounds

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD